Subject: RE: bug#36417: [PATCH] Document bookmark annotations in Emacs Manual

From: Drew Adams <[email-masked]>
Date: Fri, 28 Jun 2019 15:26:43 -0700 (PDT)

> > > We didn't remove the variable, we just avoided
> > > documenting it in the manual.
> >
> > Yes, I realized that.  And that was perhaps based on
> > Stefan's saying he doesn't think it's a very important
> > use case.
> 
> He said that in response to my question, which I asked
> because I also didn't see that as too important.

Seriously?  It doesn't seem like you even
knew what it was for.

You asked, "What is the use case for using
annotations but not showing them?"

I had to point out that (1) "using" is a
misnomer for _setting_ (creating, editing),
and (2) "using" an annotation _does_ also
show it.

The actions take place at different times.

The annotation is shown in both cases.  So
your question made no sense: there is no
"using" an annotation without showing it.

You can't go by the words "use" and "show"
in the two variable names.

I imagine a real question behind what you
asked might be, "What is the use case for
the "*-use-*" variable?".  I answered that.

> > I pointed out that it is just as important as using
> > the other option.
> 
> You are in minority here.

Whoop-dee-doo!